%define githash c2cbeb2

Name:		aldo
Summary:	Morse code practice software
Version:	0.7.8
Release:	%mkrel 2
License:	GPLv3
Url:		http://git.savannah.nongnu.org/gitweb/?p=aldo.git
Group:		Communications/Radio
Source0:	%{name}-%{githash}.tar.gz
Source1:	aldo.png

BuildRequires:	pkgconfig(ao)

%description
Aldo is a morse code learning tool released under GPL, which provides four
types of training methods:

    Classic exercise: Identify random characters played in morse code.

    Koch method: Two morse characters will be played at full speed
    (20wpm) until you are able to identify at least 90 percent of them.
    After that, one more character will be added, and so on.
    
    Read from file: Identify the morse code generated from a file.
    
    Callsign exercise: Identify random callsigns played in morse code.

%prep
%autosetup -p1 -n %{name}-%{githash}
chmod +x bootstrap
./bootstrap

%build
%configure

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_iconsdir}
install -D -m644 %{SOURCE1} %{buildroot}%{_iconsdir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Comment[en_GB]=A terminal based Morse code tutor
Comment=A terminal based Morse code tutor
Exec=aldo
GenericName[en_GB]=Aldo
GenericName=Aldo
Icon=%{name}
MimeType=
Name[en_GB]=Aldo
Name=Aldo
StartupNotify=false
Terminal=true
TerminalOptions=
Type=Application
Categories=Education;HamRadio;AudioVideo;Audio;X-Mageia-CrossDesktop;
EOF

%files
%doc AUTHORS README THANKS
%{_bindir}/aldo
%{_mandir}/man1/aldo.1*
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Sep 21 2020 barjac <barjac> 0.7.8-2.mga8
+ Revision: 1629399
- Update Url

* Tue Sep 01 2020 barjac <barjac> 0.7.8-1.mga8
+ Revision: 1620711
- new(ish) version 0.7.8

* Wed Feb 12 2020 umeabot <umeabot> 0.7.7-5.mga8
+ Revision: 1508434
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 0.7.7-4.mga7
+ Revision: 1294277
- Mageia 7 Mass Rebuild

* Sat Feb 13 2016 umeabot <umeabot> 0.7.7-3.mga6
+ Revision: 959482
- Mageia 6 Mass Rebuild
+ barjac <barjac>
- add docs

* Fri Oct 30 2015 barjac <barjac> 0.7.7-1.mga6
+ Revision: 896815
- new package aldo

